# Interface StateEvent

状态变更事件

interface StateEvent {
defaultPrevented: boolean;
state: State;
timeStamp: number;
type: string;
userAction: boolean;
preventDefault(): void;
}

#### Hierarchy (View Summary)

- BaseEvent
  - StateEvent
    - GestureEvent
    - ModeChangeEvent
    - PanoEvent

- Defined in lib/five/utils/event.ts:41

##### Index

### Properties

defaultPrevented
state
timeStamp
type
userAction

### Methods

preventDefault

## Properties

### `Readonly` defaultPrevented

defaultPrevented: boolean

是否已调用过 preventDefault

Inherited from BaseEvent.defaultPrevented

- Defined in lib/five/utils/event.ts:23

### state

state: State

当前的 Five 状态

- Defined in lib/five/utils/event.ts:43

### timeStamp

timeStamp: number

事件触发时的时间戳

Inherited from BaseEvent.timeStamp

- Defined in lib/five/utils/event.ts:19

### type

type: string

事件类型名称

Inherited from BaseEvent.type

- Defined in lib/five/utils/event.ts:17

### userAction

userAction: boolean

是否由用户交互触发

- Defined in lib/five/utils/event.ts:45

## Methods

### preventDefault

- preventDefault(): void

  阻止事件的默认行为

  #### Returns void

  Inherited from BaseEvent.preventDefault

  - Defined in lib/five/utils/event.ts:21